org.opencv.features2d

## Class FlannBasedMatcher

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features2d.DescriptorMatcher
    - - org.opencv.features2d.FlannBasedMatcher

-     public class FlannBasedMatcher
      extends DescriptorMatcher

  Flann-based descriptor matcher. This matcher trains cv::flann::Index on a train descriptor collection and calls its nearest search methods to find the best matches. So, this matcher may be faster when matching a large train collection than the brute force matcher. FlannBasedMatcher does not support masking permissible matches of descriptor sets because flann::Index does not support this. :

- - ### Field Summary

    - ### Fields inherited from class org.opencv.features2d.DescriptorMatcher

      `BRUTEFORCE, BRUTEFORCE_HAMMING, BRUTEFORCE_HAMMINGLUT, BRUTEFORCE_L1, BRUTEFORCE_SL2, FLANNBASED`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `FlannBasedMatcher()`
    `protected` | `FlannBasedMatcher(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FlannBasedMatcher` | `__fromPtr__(long addr)`
    `static FlannBasedMatcher` | `create()`
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.features2d.DescriptorMatcher

      `add, clear, clone, clone, create, create, empty, getTrainDescriptors, isMaskSupported, knnMatch, knnMatch, knnMatch, knnMatch, knnMatch, knnMatch, match, match, match, match, radiusMatch, radiusMatch, radiusMatch, radiusMatch, radiusMatch, radiusMatch, read, train, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlannBasedMatcher

          protected FlannBasedMatcher(long addr)

    - #### FlannBasedMatcher

          public FlannBasedMatcher()

  - ### Method Detail

    - #### __fromPtr__

          public static FlannBasedMatcher __fromPtr__(long addr)

    - #### create

          public static FlannBasedMatcher create()

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `DescriptorMatcher`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7